Loading...
Searching...
No Matches
bsoncxx::v1::types::b_timestamp Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "Timestamp".

## Public Member Functions

| b_timestamp ()=default
| Zero-initialize the represented value.
| b_timestamp (std::uint32_t increment, std::uint32_t timestamp)
| Initialize with increment and timestamp.

## Public Attributes

std::uint32_t | increment = {}
| The represented value's "i" component.
std::uint32_t | timestamp = {}
| The represented value's "t" component.

## Static Public Attributes

static constexpr id | type_id = id::k_timestamp
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_timestamp const &lhs, b_timestamp const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_timestamp const &lhs, b_timestamp const &rhs)
| Equivalent to lhs.timestamp == rhs.timestamp.

## Constructor & Destructor Documentation

## b_timestamp() [1/2]

bsoncxx::v1::types::b_timestamp::b_timestamp | ( |  | ) |

default

Zero-initialize the represented value.

## b_timestamp() [2/2]

bsoncxx::v1::types::b_timestamp::b_timestamp | ( | std::uint32_t | increment,
|  | std::uint32_t | timestamp )

inline

Initialize with increment and timestamp.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_timestamp const & | lhs,
|  | b_timestamp const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_timestamp const & | lhs,
|  | b_timestamp const & | rhs )

friend

Equivalent to lhs.timestamp == rhs.timestamp.

## Member Data Documentation

## increment

std::uint32_t bsoncxx::v1::types::b_timestamp::increment = {}

The represented value's "i" component.

## timestamp

std::uint32_t bsoncxx::v1::types::b_timestamp::timestamp = {}

The represented value's "t" component.

## type_id

id bsoncxx::v1::types::b_timestamp::type_id = id::k_timestamp

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp